Skip to main content
PATCH
/
v3
/
container-tags
/
{containerTag}
Update container tag settings
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'Research Notes',
    entityContext: 'This project contains research papers about machine learning.',
    memoryFilesystemPaths: ['/memory/', '/user.md']
  })
};

fetch('https://api.supermemory.ai/v3/container-tags/{containerTag}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "containerTag": "sm_project_default",
  "name": "<string>",
  "entityContext": "This project contains research papers about machine learning.",
  "memoryFilesystemPaths": [
    "/memory/",
    "/user.md"
  ],
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://supermemory-dhravya-fix-docs-pasted-issue.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

containerTag
string
required

Body

application/json

Request body for updating container tag settings

name
string

Display name for this container tag. This does not change the container tag identifier.

Required string length: 1 - 100
Example:

"Research Notes"

entityContext
string

Custom context prompt for this container tag. Used to provide additional context when processing documents in this container. Maximum 1500 characters.

Maximum string length: 1500
Example:

"This project contains research papers about machine learning."

memoryFilesystemPaths
string[] | null

Per-tag allowlist of filesystem paths that trigger memory generation for mount-ingested documents. Docs whose filepath does not match are ingested as 'superrag' (chunked and searchable, no memory extraction).

Example:
["/memory/", "/user.md"]

Response

Container tag settings updated successfully

Response after updating container tag settings

containerTag
string
required

The container tag identifier

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:

"sm_project_default"

name
string | null
required

Display name for this container tag

entityContext
string | null
required

Custom context prompt for this container tag. Used to provide additional context when processing documents in this container.

Example:

"This project contains research papers about machine learning."

memoryFilesystemPaths
string[] | null
required

Per-tag allowlist of filesystem paths that trigger memory generation for mount-ingested documents. Docs whose filepath does not match are ingested as 'superrag' (chunked and searchable, no memory extraction).

Example:
["/memory/", "/user.md"]
updatedAt
string<datetime>
required

Last update timestamp